Bug 441419 - RFE: Insert Dogtag code in mozilla LXR
Summary: RFE: Insert Dogtag code in mozilla LXR
Status: CLOSED WONTFIX
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Other (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
low
Target Milestone: 1.0
Assignee: Matthew Harmsen
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 530474
TreeView+ depends on / blocked
 
Reported: 2008-04-07 22:42 UTC by David Stutzman
Modified: 2015-01-04 23:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 16:55:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Stutzman 2008-04-07 22:42:02 UTC
Being able to view the code in a browser through the SVN interface is better
than nothing, but having it cross-referenced in LXR would make it much easier
for outside (and maybe inside?) people to track stuff down in the code and would
assist with bug reporting/fixing.

Comment 1 Matthew Harmsen 2008-04-23 17:10:30 UTC
We will need to use "MXR" (Mozilla's LXR variant that supports Subversion) to
achieve this.

Comment 2 Chandrasekar Kannan 2008-08-28 18:33:26 UTC
per bug council on 08/27/2008 - removing from CS8.0 list

Comment 3 Chandrasekar Kannan 2008-08-28 18:57:41 UTC
Adding to tracking Bug 460573

Comment 5 Nathan Kinder 2012-12-11 16:55:34 UTC
We currently use fedorahosted.org for the Dogtag project (Trac and Git).  They do not offer a LXR service, though there are some repository browsing features available via the Git web interface:

    http://git.fedorahosted.org/cgit/pki.git/

If fedorahosted.org ever offers a hosted LXR-like service, we will take advantage of it.  There are no current plans for LXR that I know of, so I'm going to close this as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.